




$.company = {
    //////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////
    //
    // 		Company 
    //
    //////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////
    getPreferecesObj: function () {
        var pref_file = new File(Folder.userData + "/smartform.pref");
        if (pref_file.exists == false) {
            return null;
        }
        pref_file.open("r");
        var json_str = pref_file.read();
        pref_file.close();
        var json_obj = JSON.parse(json_str);
        return json_obj;
    },

    getValueForKey: function (key) {
        var json_obj = this.getPreferecesObj();
        if (json_obj == null)
            return null;
        var ret_val = json_obj[key];
        return ret_val;
    },

    setValueForKey: function (key, value) {
        var json_obj = this.getPreferecesObj();
        if (json_obj == null) {
            json_obj = new Object;
        }
        json_obj[key] = value;
        var json_str = JSON.stringify(json_obj);
        var pref_file = new File(Folder.userData + "/smartform.pref");
        pref_file.open("w");
        pref_file.write(json_str);
        pref_file.close();
    },

    setCurCompany: function (comp_id) {
        this.setValueForKey("CompID", comp_id);
        alert("comp_id '" + comp_id + "' registered.");
    },

    getCurCompany: function () {
        var comp_id = this.getValueForKey("CompID");
        alert("comp_id is ==> " + comp_id);
        if (comp_id == undefined || comp_id == "undefined") {
            alert(" undefined comp_id = " + comp_id);
            return null;
        }
        return comp_id;
    }


};