﻿

var myScript = $.fileName;
var myParentFolder = File(myScript).parent;

var jsonFile = new File(myParentFolder + "/json2.js");
$.evalFile(jsonFile);

var doc_info = null;
var temp_swatches = null;
var postPressList = null;
var order_info = null;
var order_doc_info = null;
var proof_history = null;


if (ExternalObject.AdobeXMPScript == undefined) {
	ExternalObject.AdobeXMPScript = new ExternalObject("lib:AdobeXMPScript");
}

var ns_smartform = "http://www.printbe.com/pdf/1.0/smartform/";
var ns_postpress = "http://www.printbe.com/pdf/1.0/postpress/";
var ns_order = "http://www.printbe.com/pdf/1.0/order/";
var ns_proof = "http://www.printbe.com/pdf/1.0/proof/";

var mm = 2.83464567;

var ppname_list = ["오시", "미싱", "박", "형압", "넘버링", "도무송", "타공", "귀도리", "에폭시", "접지", "제본", "접착", "코팅", "부분코팅", "양편테입", "창문가공", "떡제본", "엠보"];


$.printbe = {

	//////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////
	//
	// 		Company 
	//
	//////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////

	loadingTest: function () {
		return "true";
	},

	getPreferecesObj: function () {
		var pref_file = new File(Folder.userData + "/smartform.pref");
		if (pref_file.exists == false) {
			return null;
		}
		pref_file.open("r");
		var json_str = pref_file.read();
		pref_file.close();
		var json_obj = JSON.parse(json_str);
		return json_obj;
	},

	getValueForKey: function (key) {
		var json_obj = this.getPreferecesObj();
		if (json_obj == null)
			return null;
		var ret_val = json_obj[key];
		return ret_val;
	},

	setValueForKey: function (key, value) {
		var json_obj = this.getPreferecesObj();
		if (json_obj == null) {
			json_obj = new Object;
		}
		json_obj[key] = value;
		var json_str = JSON.stringify(json_obj);
		var pref_file = new File(Folder.userData + "/smartform.pref");
		pref_file.open("w");
		pref_file.write(json_str);
		pref_file.close();
	},

	setCurUserID: function (user_id) {
		var pref = app.preferences;
		pref.setStringPreference("UserID", user_id);
		//alert("user id : " + user_id);
	},

	getCurUserID: function () {
		var pref = app.preferences;
		var user_id = pref.getStringPreference("UserID");
		if (user_id == undefined || user_id == "undefined") {
			return "no_userid";
		}
		//alert("user id : " + user_id);
		return user_id;
	},

	setCurCompany: function (comp_id) {
		//this.setValueForKey("CompID", comp_id);
		var pref = app.preferences;
		pref.setStringPreference("CompID", comp_id);
		//alert("comp_id '" + comp_id + "' registered.");
	},

	setCurCompLogo: function (logo_url) {
		//this.setValueForKey("CompID", comp_id);
		var pref = app.preferences;
		pref.setStringPreference("CompLogo", logo_url);
		//alert("logo_url '" + logo_url + "' registered.");
	},

	getCurCompany: function () {
		//alert("Hello World!!!");
		//var comp_id = this.getValueForKey("CompID");
		var pref = app.preferences;
		var comp_id = pref.getStringPreference("CompID");
		//alert("comp_id is ==> " + comp_id);
		if (comp_id == undefined || comp_id == "undefined") {
			return "no_host";
		}
		return comp_id;
	},

	getCurCompLogo: function () {
		var pref = app.preferences;
		var comp_logo = pref.getStringPreference("CompLogo");
		if (comp_logo == undefined || comp_logo == "undefined") {
			return "not_host";
		}
		return comp_logo;
	},

	//////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////
	//
	// 		New Document 
	//
	//////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////
	init: function () {
		if (doc_info == null) {
			doc_info = new Object;
			postPressList = new Array;
			temp_swatches = new Object;
		}
		else {
			//alert(" doc_info!!!!! "+doc_info);
		}
	},

	isDocNameExists: function (docname) {
		var flag = false;
		var i, icnt = documents.length;
		for (i = 0; i < icnt; i++) {
			var doc = documents[i];
			var fname = doc.fullName;  // File
			var doc_name = fname.displayName;
			// alert(fname.displayName + "  " + fname.name);
			if (doc_name == docname) {
				flag = true;
				break;
			}
		}
		return flag;
	},

	getCurDocName: function () {
		if (documents.length > 0) {
			return app.activeDocument.fullName.displayName;
		}
		return "";
	},

	getNewDocName: function () {
		var doc_num = 0;
		var doc_name = "무제1.ai";
		var doc_exists = true;
		while (doc_exists) {
			doc_num++;
			doc_name = "무제" + doc_num;
			var doc_fname = doc_name + ".ai";
			doc_exists = this.isDocNameExists(doc_fname);
		}
		return doc_name;
	},

	setDocInfo: function (key, value) {
		doc_info[key] = value;
	},

	setColorList: function (json_str) {
		this.init();
		var aList = JSON.parse(json_str);
		var anObject = aList[0];
		temp_swatches = anObject["Swatch"];
	},

	setSwatchist: function (json_str) {
		this.init();
		temp_swatches = JSON.parse(json_str);
	},


	addPostPress: function (pp_name, code, opt1, opt2, opt3) {
		var pp = new Object;
		pp.name = pp_name;
		pp.code = code;
		pp.opt1 = opt1;
		pp.opt2 = opt2;
		pp.opt3 = opt3;
		postPressList.push(pp);
	},

	drawArc: function (color, x1, y1, x2, y2) {
		var lnColor = color;

		//lnColor.gray = 100;
		var r = Math.abs(x1 - x2); //radius
		var ln = app.activeDocument.pathItems.add();
		ln.stroke = true;
		ln.strokeColor = lnColor;
		ln.strokeWidth = 0.2 * mm;;
		ln.filled = false;

		var pt = ln.pathPoints.add()
		pt.anchor = Array(x1, y2);
		if (x1 > x2) {
			pt.rightDirection = Array(x1 - (Math.sqrt(2) - 1) / 3 * 4 * r, y2);
		}
		else {
			pt.rightDirection = Array(x1 + (Math.sqrt(2) - 1) / 3 * 4 * r, y2);
		}
		pt = ln.pathPoints.add();
		pt.anchor = Array(x2, y1);
		if (y1 > y2) {
			pt.leftDirection = Array(x2, y1 - (Math.sqrt(2) - 1) / 3 * 4 * r);
		}
		else {
			pt.leftDirection = Array(x2, y1 + (Math.sqrt(2) - 1) / 3 * 4 * r);
		}
	},

	drawArc2: function (ln, color, x1, y1, x2, y2) {
		var lnColor = color;

		//lnColor.gray = 100;
		var r = Math.abs(x1 - x2); //radius
		//var ln = app.activeDocument.pathItems.add();
		// ln.stroke = true;
		// ln.strokeColor = lnColor;
		// ln.strokeWidth = 0.2 * mm;;
		// ln.filled = false;

		var pt = ln.pathPoints.add()
		pt.anchor = Array(x1, y1);
		pt.leftDirection = pt.anchor;
		if (x1 > x2) {
			if (y1 > y2) {
				pt.rightDirection = Array(x1 - (Math.sqrt(2) - 1) / 3 * 4 * r, y1);
			}
			else {
				pt.rightDirection = Array(x1, y1 + (Math.sqrt(2) - 1) / 3 * 4 * r);
			}
		}
		else {
			if (y1 > y2) {
				pt.rightDirection = Array(x1, y1 - (Math.sqrt(2) - 1) / 3 * 4 * r);
			}
			else {
				pt.rightDirection = Array(x1 + (Math.sqrt(2) - 1) / 3 * 4 * r, y1);
			}
		}
		pt = ln.pathPoints.add();
		pt.anchor = Array(x2, y2);
		pt.rightDirection = pt.anchor;
		if (y1 > y2) {
			if (x1 > x2) {
				pt.leftDirection = Array(x2, y2 + (Math.sqrt(2) - 1) / 3 * 4 * r);
			}
			else {
				pt.leftDirection = Array(x2 - (Math.sqrt(2) - 1) / 3 * 4 * r, y2);
			}
		}
		else {
			if (x1 > x2) {
				pt.leftDirection = Array(x2 + (Math.sqrt(2) - 1) / 3 * 4 * r, y2);
			}
			else {
				pt.leftDirection = Array(x2, y2 - (Math.sqrt(2) - 1) / 3 * 4 * r);
			}
		}
	},

	drawHLine: function (lines, ab_x, ab_y, ab_width, ab_height, layer, line_swatch) {
		var inc = ab_height / (lines + 1);
		var pos = ab_y + inc;
		var j;
		for (j = 0; j < lines; j++) {
			var line = layer.pathItems.add();
			line.strokeWidth = 0.2 * mm;
			if (line_swatch) {
				line.strokeColor = line_swatch.color;
			}
			line.setEntirePath(Array(Array(ab_x, pos), Array(ab_x + ab_width, pos)));
			pos += inc;
		}
	},

	drawVLine: function (lines, ab_x, ab_y, ab_width, ab_height, layer, line_swatch) {
		var inc = ab_width / (lines + 1);
		var pos = ab_x + inc;
		var j;
		for (j = 0; j < lines; j++) {
			var line = layer.pathItems.add();
			line.strokeWidth = 0.2 * mm;
			if (line_swatch) {
				line.strokeColor = line_swatch.color;
			}
			try {
				line.setEntirePath(Array(Array(pos, ab_y), Array(pos, ab_y + ab_height)));
			}
			catch (e) {
				alert("arg : " + pos + "," + ab_y + "," + ab_height);
			}
			pos += inc;
		}
	},

	drawTextFrame: function (str_list, x, y, w, h) {
		w = Math.abs(w);
		h = Math.abs(h);
		var bw, bh, lh, ln = str_list.length; // box width, line height
		if (w > h) {
			lh = h * 0.4 / ln;
			bw = lh * 3;
		}
		else {
			bw = w * 0.4;
			lh = bw / 3;
		}
		bh = lh * ln;
		bx = x + (w - bw) / 2;
		by = y - (h - bh) / 2;
		var doc = app.activeDocument;
		var tf = doc.textFrames.pointText([bx, by]);
		var str = "";
		var i;
		for (i = 0; i < ln; i++) {
			str += str_list[i];
			if (i < ln - 1) {
				str += "\n";
			}
		}
		var gray_color = new GrayColor();
		gray_color.gray = 50;
		tf.contents = str;
		tf.textRange.paragraphAttributes.justification = Justification.CENTER;
		tf.textRange.characterAttributes.textFont = app.textFonts.getByName("TimesNewRomanPSMT"); // Minion Pro
		tf.textRange.characterAttributes.fillColor = gray_color;
		tf.position = [bx, by];
		tf.width = bw;
		tf.height = bh;
	},

	listHave: function (list, value) {
		var i, icnt = list.length;
		for (i = 0; i < icnt; i++) {
			if (list[i] === value) {
				return true;
			}
		}
		return false;
	},

	writeInfosToDoc: function (curdoc, myXmp) {
		if (curdoc == undefined || curdoc == "undefined") {
			curdoc = app.activeDocument;
		}
		var org_active_layer = curdoc.activeLayer;
		XMPMeta.registerNamespace(ns_smartform, "smartform");
		if (myXmp == undefined || myXmp == "undefined") {
			myXmp = new XMPMeta(curdoc.XMPString);
		}
		for (var akey in doc_info) {
			var propName = "smartform:" + akey;
			var propValue = doc_info[akey];
			myXmp.setProperty(ns_smartform, propName, propValue);
		}
		var i, icnt;

		//  Swatche List 추가
		//
		/////////////////////////////////////////////////
		icnt = temp_swatches.length;
		for (i = 0; i < icnt; i++) {
			var temp_swatch = temp_swatches[i];
			var color_space = temp_swatch.ColorSpace;
			var color_type = temp_swatch.ColorType;
			var color = null;
			var color = null;
			if (color_space == "CMYK") {
				color = new CMYKColor;
				color.cyan = temp_swatch.Color[0];
				color.magenta = temp_swatch.Color[1];
				color.yellow = temp_swatch.Color[2];
				color.black = temp_swatch.Color[3];
			}
			else if (color_space == "RGB") {
				color = new RGBColor;
				color.red = temp_swatch.Color[0];
				color.green = temp_swatch.Color[1];
				color.blue = temp_swatch.Color[2];
			}
			else if (color_space == "Lab") {
				// 일러스트 버그로 인해 마이너스(-) 값이 오류가 남.
				try {
					color = new LabColor;
					var a_val = temp_swatch.Color[0];// + 128;
					color.a = a_val < 0 ? 0 : a_val;
					var b_val = temp_swatch.Color[1];// + 128;
					color.b = b_val < 0 ? 0 : b_val;
					var l_val = temp_swatch.Color[2];// + 128;
					color.l = l_val < 0 ? 0 : l_val;
				} catch (e) {
					alert("color.l = " + a_val + ", " + b_val + ", " + l_val);
				}
			}
			if (color_type === "Spot") {
				var newSpot = curdoc.spots.add();
				newSpot.name = temp_swatch.SwatchName;
				newSpot.colorType = ColorModel.SPOT;
				newSpot.color = color;
				var newSpotColor = new SpotColor();
				newSpotColor.spot = newSpot;
				newSpotColor.tint = 100;
			}
			else {
				var swatch = curdoc.swatches.add();
				swatch.name = temp_swatch.SwatchName;
				swatch.color = color;
				swatch.typename = "Spot";
			}
		}

		//  후가공 옵션에 따른 패스 아이템 추가
		//
		/////////////////////////////////////////////////
		var artboard = curdoc.artboards[0];
		var ab_frame = artboard.artboardRect;
		var ab_x = ab_frame[0];
		var ab_y = ab_frame[1];
		var ab_height = ab_frame[3] - ab_frame[1]; //  - Height 값임.
		var ab_width = ab_frame[2] - ab_frame[0];
		icnt = postPressList.length;
		if (icnt > 0) {
			XMPMeta.registerNamespace(ns_postpress, "postpress");
		}

		for (i = 0; i < icnt; i++) {
			var pp = postPressList[i];
			myXmp.setStructField(ns_postpress, pp.name, ns_postpress, "Code", pp.code);
			myXmp.setStructField(ns_postpress, pp.name, ns_postpress, "Opt1", pp.opt1);
			myXmp.setStructField(ns_postpress, pp.name, ns_postpress, "Opt2", pp.opt2);
			myXmp.setStructField(ns_postpress, pp.name, ns_postpress, "Color", "");
			//alert("PP: " + pp.code + "," + pp.opt1 + "," + pp.opt2);
			//  
			//		오시 추가
			/////////////////////////////////////////////////
			if (pp.code == "H01") { // 오시
				var layer = curdoc.layers.add();
				layer.name = pp.name;
				curdoc.activeLayer = layer;
				var lines = pp.opt1.charAt(0) * 1;
				var line_swatch = curdoc.swatches.getByName(pp.name);
				if (pp.opt2 == "가로방향(길게)") {
					var inc = ab_height / (lines + 1);
					var pos = inc + ab_y;
					var j;
					for (j = 0; j < lines; j++) {
						var line = layer.pathItems.add();
						line.strokeWidth = 0.2 * mm;
						if (line_swatch) {
							line.strokeColor = line_swatch.color;
						}
						line.setEntirePath(Array(Array(ab_x, pos), Array(ab_x + ab_width, pos)));
						pos += inc;
					}
				}
				else {
					var inc = ab_width / (lines + 1);
					var pos = inc + ab_x;
					var j;
					for (j = 0; j < lines; j++) {
						var line = layer.pathItems.add();
						line.strokeWidth = 0.2 * mm;
						if (line_swatch) {
							line.strokeColor = line_swatch.color;
						}
						line.setEntirePath(Array(Array(pos, ab_y), Array(pos, ab_y + ab_height)));
						pos += inc;
					}
				}
				layer.locked = true;
			}

			//  
			//		미싱 추가
			/////////////////////////////////////////////////
			if (pp.code == "H02") { // 미싱
				var layer = curdoc.layers.add();
				layer.name = pp.name;
				curdoc.activeLayer = layer;
				var lines = pp.opt1.charAt(0) * 1;
				var line_swatch = curdoc.swatches.getByName(pp.name);
				if (pp.opt2 == "가로방향(길게)") {
					var inc = ab_height / (lines + 1);
					var pos = inc + ab_y;
					var j;
					for (j = 0; j < lines; j++) {
						var line = layer.pathItems.add();
						var line_swatch = curdoc.swatches.getByName(pp.name);
						if (line_swatch) {
							line.strokeColor = line_swatch.color;
						}
						line.strokeWidth = 0.2 * mm;
						line.strokeDashes = [2, 1, 2, 1];
						line.setEntirePath(Array(Array(ab_x, pos), Array(ab_x + ab_width, pos)));
						pos += inc;
					}
				}
				else {
					var inc = ab_width / (lines + 1);
					var pos = inc + ab_x;
					var j;
					for (j = 0; j < lines; j++) {
						var line = layer.pathItems.add();
						line.strokeWidth = 0.2 * mm;
						line.strokeDashes = [2, 1, 2, 1];
						if (line_swatch) {
							line.strokeColor = line_swatch.color;
						}
						line.setEntirePath(Array(Array(pos, ab_y), Array(pos, ab_y + ab_height)));
						pos += inc;
					}
				}
				layer.locked = true;
			}
			//  
			//		타공 추가
			/////////////////////////////////////////////////
			if (pp.code == "H07") { // 타공
				var layer = curdoc.layers.add();
				layer.name = pp.name;
				curdoc.activeLayer = layer;
				var holes = pp.opt1.charAt(0) * 1;
				var width = pp.opt2.charAt(0) * 1 * mm;
				var t = ab_y + 1.5 * mm;
				var l = ab_x + 1.5 * mm;

				var hole_swatch = curdoc.swatches.getByName(pp.name);
				for (j = 0; j < holes; j++) {
					var hole = layer.pathItems.ellipse(-t, l, width, width);
					if (hole_swatch) {
						hole.fillColor = hole_swatch.color;
					}
					hole.strokeColor = new NoColor();
					hole.strokeWidth = 0;
					l = l + width + 1.5 * mm;
				}
				layer.locked = true;
			}

			//  
			//		 귀도리 추가
			/////////////////////////////////////////////////
			if (pp.code == "H08") { // 귀도리
				var layer = curdoc.layers.add();
				layer.name = pp.name;
				curdoc.activeLayer = layer;

				var radius = pp.opt2.charAt(0) * mm;
				var line_swatch = curdoc.swatches.getByName(pp.name);
				var ln_color = line_swatch.color;
				var conners = pp.opt3;
				var j, jcnt = conners.length;
				var ln = app.activeDocument.pathItems.add();
				ln.stroke = true;
				ln.strokeColor = ln_color;
				ln.strokeWidth = 0.2 * mm;
				ln.filled = false;
				ln.closed = true;
				// ab_height 는 - (마이너스) 값임
				//alert("Radius = " + radius + ", ab_height = " + ab_height);
				if (this.listHave(conners, '1')) {  //  left top
					this.drawArc2(ln, ln_color, ab_x + radius, ab_y, ab_x, ab_y - radius);
				}
				else {
					var pt = ln.pathPoints.add();
					pt.anchor = Array(ab_x, ab_y);
					pt.leftDirection = pt.anchor;
					pt.rightDirection = pt.anchor;
					pt.pointType = PointType.CORNER;
				}

				if (this.listHave(conners, '3')) { // left bottom
					this.drawArc2(ln, ln_color, ab_x, ab_y + ab_height + radius, ab_x + radius, ab_y + ab_height);
				}
				else {
					var pt = ln.pathPoints.add();
					pt.anchor = Array(ab_x, ab_y + ab_height);
					pt.leftDirection = pt.anchor;
					pt.rightDirection = pt.anchor;
					pt.pointType = PointType.CORNER;
				}

				if (this.listHave(conners, '4')) { // right bottom
					this.drawArc2(ln, ln_color, ab_x + ab_width - radius, ab_y + ab_height, ab_x + ab_width, ab_y + ab_height + radius);
				}
				else {
					var pt = ln.pathPoints.add();
					pt.anchor = Array(ab_x + ab_width, ab_y + ab_height);
					pt.leftDirection = pt.anchor;
					pt.rightDirection = pt.anchor;
					pt.pointType = PointType.CORNER;
				}

				if (this.listHave(conners, '2')) {  // right top
					this.drawArc2(ln, ln_color, ab_x + ab_width, ab_y - radius, ab_x + ab_width - radius, ab_y);
				}
				else {
					var pt = ln.pathPoints.add();
					pt.anchor = Array(ab_x + ab_width, ab_y);
					pt.leftDirection = pt.anchor;
					pt.rightDirection = pt.anchor;
					pt.pointType = PointType.CORNER;
				}
				layer.locked = true;
			}
			//  
			//		접지 추가
			/////////////////////////////////////////////////
			// 반접지
			// 3단접지
			// 4단접지
			// N접지
			// 4단병풍접지
			// 5단병풍접지
			// 6단병풍접지
			// 4단두루마리접지  (x)
			// 십자접지			(x)
			// 4단접지후반접지
			// 4단병풍접지후반접지
			// 3단접지후반접지
			// N접지후반접지
			// 반접고3단접지
			if (pp.code == "H10") { // 접지
				var new_ab_x1 = 0;
				var new_ab_y1 = 0;
				if (curdoc.artboards.length < 2) {
					//alert("ab_height = " + ab_height);
					new_ab_y1 = ab_y + ab_height - 50;
					var new_ab_y2 = new_ab_y1 + ab_height;
					var new_rect = [ab_x, new_ab_y1, ab_x + ab_width, new_ab_y2];
					var new_ab = curdoc.artboards.add(new_rect);
					new_ab_x1 = ab_x;
				}
				else {
					var ab_2nd = curdoc.artboards[1];
					new_ab_x1 = ab_2nd.artboardRect[0];
					new_ab_y1 = ab_2nd.artboardRect[1];
				}
				var layer = curdoc.layers.add();
				layer.name = pp.name;
				curdoc.activeLayer = layer;

				// Folding Line
				////////////////////////////////////////////////////////////////
				var line_swatch = curdoc.swatches.getByName(pp.name);
				if (pp.opt1 == "반접지" || pp.opt1 == "4단접지후반접지" || pp.opt1 == "4단병풍접지후반접지" || pp.opt1 == "3단접지후반접지" || pp.opt1 == "N접지후반접지") {  ///
					this.drawVLine(1, ab_x, ab_y, ab_width, ab_height, layer, line_swatch); // 반접지: Outer-4Page/1Page
					this.drawVLine(1, new_ab_x1, new_ab_y1, ab_width, ab_height, layer, line_swatch); // 반접지: Inner-2Page/3Page						
				}
				else if (pp.opt1 == "3단접지" || pp.opt1 == "N접지" || pp.opt1 == "반접고3단접지") {
					// 3단접지 : Outer:3Page
					this.drawVLine(2, ab_x, ab_y, ab_width, ab_height, layer, line_swatch);
					this.drawVLine(2, new_ab_x1, new_ab_y1, ab_width, ab_height, layer, line_swatch);
				}
				else if (pp.opt1 == "4단접지" || pp.opt1 == "4단병풍접지") {
					this.drawVLine(3, ab_x, ab_y, ab_width, ab_height, layer, line_swatch);
					this.drawVLine(3, new_ab_x1, new_ab_y1, ab_width, ab_height, layer, line_swatch);
				}
				else if (pp.opt1 == "5단병풍접지") {
					this.drawVLine(4, ab_x, ab_y, ab_width, ab_height, layer, line_swatch);
					this.drawVLine(4, new_ab_x1, new_ab_y1, ab_width, ab_height, layer, line_swatch);
				}
				else if (pp.opt1 == "6단병풍접지") {
					this.drawVLine(5, ab_x, ab_y, ab_width, ab_height, layer, line_swatch);
					this.drawVLine(5, new_ab_x1, new_ab_y1, ab_width, ab_height, layer, line_swatch);
				}
				layer.locked = true;

				layer = curdoc.layers.add();
				layer.name = "접지안내";
				layer.printable = false;
				curdoc.activeLayer = layer;

				// Folding Guide TextFrame
				////////////////////////////////////////////////////////////////
				if (pp.opt1 == "반접지" || pp.opt1 == "4단접지후반접지" || pp.opt1 == "4단병풍접지후반접지" || pp.opt1 == "3단접지후반접지" || pp.opt1 == "N접지후반접지") {  ///
					var bw = ab_width / 2;
					this.drawTextFrame(["Outer", "4Page"], ab_x, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "1Page"], ab_x + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Inner", "2Page"], new_ab_x1, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "3Page"], new_ab_x1 + bw, new_ab_y1, bw, ab_height);
				}
				else if (pp.opt1 == "3단접지" || pp.opt1 == "반접고3단접지") {
					var bw = ab_width / 3;
					this.drawTextFrame(["Outer", "3Page"], ab_x, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "6Page", "Back"], ab_x + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "1Page", "Front"], ab_x + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Inner", "2Page"], new_ab_x1, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "4Page"], new_ab_x1 + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "5Page"], new_ab_x1 + bw + bw, new_ab_y1, bw, ab_height);
				}
				else if (pp.opt1 == "N접지") {
					var bw = ab_width / 3;
					this.drawTextFrame(["Outer", "5Page"], ab_x, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "6Page"], ab_x + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "1Page", "Front"], ab_x + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Inner", "2Page"], new_ab_x1, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "3Page"], new_ab_x1 + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "4Page", "Back"], new_ab_x1 + bw + bw, new_ab_y1, bw, ab_height);
				}
				else if (pp.opt1 == "4단접지") {
					var bw = ab_width / 4;
					this.drawTextFrame(["Outer", "6Page"], ab_x, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "7Page"], ab_x + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "8Page", "Back"], ab_x + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "1Page", "Front"], ab_x + bw + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Inner", "2Page"], new_ab_x1, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "4Page"], new_ab_x1 + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "5Page"], new_ab_x1 + bw + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "3Page"], new_ab_x1 + bw + bw + bw, new_ab_y1, bw, ab_height);
				}
				else if (pp.opt1 == "4단병풍접지") {
					var bw = ab_width / 4;
					this.drawTextFrame(["Outer", "6Page", "Back"], ab_x, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "7Page"], ab_x + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "8Page"], ab_x + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "1Page", "Front"], ab_x + bw + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Inner", "2Page"], new_ab_x1, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "3Page"], new_ab_x1 + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "4Page"], new_ab_x1 + bw + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "5Page"], new_ab_x1 + bw + bw + bw, new_ab_y1, bw, ab_height);
				}
				else if (pp.opt1 == "5단병풍접지") {
					var bw = ab_width / 5;
					this.drawTextFrame(["Outer", "7Page"], ab_x, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "8Page"], ab_x + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "9Page"], ab_x + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "10Page"], ab_x + bw + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "1Page", "Front"], ab_x + bw + bw + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Inner", "2Page"], new_ab_x1, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "3Page"], new_ab_x1 + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "4Page"], new_ab_x1 + bw + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "5Page"], new_ab_x1 + bw + bw + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "6Page", "Back"], new_ab_x1 + bw + bw + bw + bw, new_ab_y1, bw, ab_height);
				}
				else if (pp.opt1 == "6단병풍접지") {
					var bw = ab_width / 6;
					this.drawTextFrame(["Outer", "8Page", "Back"], ab_x, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "9Page"], ab_x + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "10Page"], ab_x + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "11Page"], ab_x + bw + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "12Page"], ab_x + bw + bw + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Outer", "1Page", "Front"], ab_x + bw + bw + bw + bw + bw, ab_y, bw, ab_height);
					this.drawTextFrame(["Inner", "2Page"], new_ab_x1, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "3Page"], new_ab_x1 + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "4Page"], new_ab_x1 + bw + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "5Page"], new_ab_x1 + bw + bw + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "6Page"], new_ab_x1 + bw + bw + bw + bw, new_ab_y1, bw, ab_height);
					this.drawTextFrame(["Inner", "7Page"], new_ab_x1 + bw + bw + bw + bw + bw, new_ab_y1, bw, ab_height);
				}
				layer.locked = true;
			}


		}

		// 수정된 XMP 문자열을 다시 도큐먼트에 저장.
		curdoc.XMPString = myXmp.serialize();
		curdoc.activeLayer = org_active_layer;

	},

	downloadTemplate: function (template_url) {
		var t_file = new File(template_url);
		var temp_folder = Folder.temp;
		var temp_path = temp_folder + "/" + t_file.displayName;
		var temp_path_file = new File(temp_path);
		temp_path = temp_path_file.fsName;

		var res_file_path = temp_folder + "/down_res.txt";
		var res_file = new File(res_file_path);
		res_file_path = res_file.fsName;

		var info_txt = "";
		info_txt += template_url + '\r';
		info_txt += temp_path + '\r';
		info_txt += res_file_path + '\r';

		var info_file_path = temp_folder + "/smartform_down.txt";
		var info_file = new File(info_file_path);
		info_file.encoding = "UTF-8";
		info_file.open("w");
		info_file.write(info_txt);
		info_file.close();

		var cep_root = myParentFolder.parent;
		var tool_path = cep_root.fsName + '/tools/filesender.exe';

		// Using .vbs process
		var bat_str = '\
			Set Command = CreateObject("WScript.Shell")\
			Command.Run Chr(34)&"'+ tool_path + '"&Chr(34)&" "&Chr(34)&"' + info_file.fsName + '"&Chr(34)&" "&Chr(34)&"' + "download" + '"&Chr(34), 0\
			';
		var bat_file = new File(temp_folder + "/smartform_sender.vbs");
		bat_file.open("w");
		bat_file.write(bat_str);
		bat_file.close();

		var res_txt_file = new File(res_file_path);
		res_txt_file.remove();

		bat_file.execute();
		res_txt_file = new File(res_file_path);
		while (res_txt_file.exists == false) {
			res_txt_file = new File(res_file_path);
		}
		res_txt_file.open("rt");
		var json_str = res_txt_file.read();
		res_txt_file.close();
		return temp_path_file;
	},


	newDocument: function (template_url) {
		if (doc_info.PaperWidth > 0 && doc_info.PaperHeight > 0) {
			var myPreset = new DocumentPreset;
			myPreset.width = doc_info.PaperWidth * mm;
			myPreset.height = doc_info.PaperHeight * mm;
			myPreset.units = RulerUnits.Millimeters;
			myPreset.title = doc_info.ProductName;
			var bl = doc_info.BleedOutside * mm;
			var bt = doc_info.BleedTop * mm;
			var br = doc_info.BleedInside * mm;
			var bb = doc_info.BleedBottom * mm;
			myPreset.documentBleedOffset = Array(bl, bt, br, bb);
			var newdoc = null;
			if (template_url == undefined || template_url == null) {
				newdoc = documents.addDocument("//an_existing_preset//", myPreset);
			}
			else {
				var temp_file = this.downloadTemplate(template_url);
				newdoc = app.open(temp_file);
			}
			newdoc.pageOrigin = [0, newdoc.height];
			newdoc.rulerOrigin = [0, newdoc.height];
			//			alert("XMPString.length2 = "+newdoc.XMPString.length);
			this.writeInfosToDoc(newdoc);
		}
	},

	//////////////////////////////////////////////////////////	
	//////////////////////////////////////////////////////////	
	//
	// 		Modify 
	//
	//////////////////////////////////////////////////////////	
	//////////////////////////////////////////////////////////	
	checkDocState: function () {

		var cur_doc = null;
		try {
			cur_doc = app.activeDocument;
		}
		catch (e) {
			cur_doc = null;
			//alert("exception = "+e);
		}
		if (!cur_doc) {
			return "nodoc";
		}
		XMPMeta.registerNamespace(ns_smartform, "smartform");
		var xmpstr = cur_doc.XMPString;
		var myXmp = new XMPMeta(xmpstr);
		var ProductName = myXmp.getProperty(ns_smartform, "smartform:ProductName");
		if (ProductName == null || ProductName == undefined) {
			return "nosmartform";
		}

		return "OK"; s
	},

	getDocumentSize: function () {
		var cur_doc = app.activeDocument;
		var ret_obj = new Object;
		ret_obj.width = Math.round(cur_doc.width / mm);
		ret_obj.height = Math.round(cur_doc.height / mm);
		var ret_str = JSON.stringify(ret_obj);
		return ret_str;
	},

	readSmartForm: function () {
		XMPMeta.registerNamespace(ns_smartform, "smartform");
		var cur_doc = app.activeDocument;

		var xmpstr = cur_doc.XMPString;
		var myXmp = new XMPMeta(xmpstr);
		var ProductName = myXmp.getProperty(ns_smartform, "smartform:ProductName");
		var ret_obj = new Object;
		if (ProductName) {
			ret_obj.type = "smartform";
			ret_obj.smartform = new Object;

			ret_obj.smartform.BleedBottom = myXmp.getProperty(ns_smartform, "smartform:BleedBottom").value;
			ret_obj.smartform.BleedInside = myXmp.getProperty(ns_smartform, "smartform:BleedInside").value;
			ret_obj.smartform.BleedOutside = myXmp.getProperty(ns_smartform, "smartform:BleedOutside").value;
			ret_obj.smartform.BleedTop = myXmp.getProperty(ns_smartform, "smartform:BleedTop").value;
			ret_obj.smartform.CreateDate = myXmp.getProperty(ns_smartform, "smartform:CreateDate").value;
			//			ret_obj.smartform.DocumentPages = myXmp.getProperty(ns_smartform, "smartform:DocumentPages").value;
			ret_obj.smartform.DocumentPrint = myXmp.getProperty(ns_smartform, "smartform:DocumentPrint").value; // 단면
			ret_obj.smartform.Category1 = myXmp.getProperty(ns_smartform, "smartform:MainCategory").value;
			ret_obj.smartform.ModifiedDate = myXmp.getProperty(ns_smartform, "smartform:ModifiedDate").value;
			ret_obj.smartform.PaperKind = myXmp.getProperty(ns_smartform, "smartform:Paper").value;
			ret_obj.smartform.PaperKindCode = myXmp.getProperty(ns_smartform, "smartform:PaperCode").value;
			ret_obj.smartform.PaperColor = myXmp.getProperty(ns_smartform, "smartform:PaperColor").value;
			ret_obj.smartform.PaperColorCode = myXmp.getProperty(ns_smartform, "smartform:PaperColorCode").value;
			ret_obj.smartform.PaperWeight = myXmp.getProperty(ns_smartform, "smartform:PaperWeight").value;
			ret_obj.smartform.PrintSeparation = myXmp.getProperty(ns_smartform, "smartform:PrintingColors").value;
			ret_obj.smartform.PrintSeparationCode = myXmp.getProperty(ns_smartform, "smartform:PrintingColorsCode").value;
			ret_obj.smartform.PrintColor = myXmp.getProperty(ns_smartform, "smartform:PrintingSpot").value;
			ret_obj.smartform.PrintColorCode = myXmp.getProperty(ns_smartform, "smartform:PrintingSpotCode").value;

			ret_obj.smartform.PrintWay = myXmp.getProperty(ns_smartform, "smartform:PrintingType").value;
			ret_obj.smartform.PrintWayCode = myXmp.getProperty(ns_smartform, "smartform:PrintingTypeCode").value;
			ret_obj.smartform.ProductCode = myXmp.getProperty(ns_smartform, "smartform:ProductCode").value;
			ret_obj.smartform.ProductName = myXmp.getProperty(ns_smartform, "smartform:ProductName").value;
			//			ret_obj.smartform.ProductName = ProductName.value;
			ret_obj.smartform.Category2 = myXmp.getProperty(ns_smartform, "smartform:SubCategory").value;
			ret_obj.smartform.Category3 = myXmp.getProperty(ns_smartform, "smartform:ThirdCategory").value;
			ret_obj.smartform.TrimHeight = myXmp.getProperty(ns_smartform, "smartform:TrimHeight").value;
			ret_obj.smartform.TrimWidth = myXmp.getProperty(ns_smartform, "smartform:TrimWidth").value;
			ret_obj.smartform.PerVolume = myXmp.getProperty(ns_smartform, "smartform:PerVolume").value; // 0

			ret_obj.smartform.PrintUnit = myXmp.getProperty(ns_smartform, "smartform:PrintingUnit").value;
			ret_obj.smartform.PrintUnitCode = myXmp.getProperty(ns_smartform, "smartform:PrintingUnitCode").value;

			XMPMeta.registerNamespace(ns_postpress, "postpress");
			ret_obj.postpress = new Array;
			var j, jcnt = ppname_list.length;
			for (j = 0; j < jcnt; j++) {
				var structName = ppname_list[j];
				var code = myXmp.getStructField(ns_postpress, structName, ns_postpress, "Code");
				//alert("pp code = " + code);
				if (code != "") {
					var ppobj = new Object;
					ppobj.code = code.value;
					ppobj.name = structName;
					ppobj.opt1 = myXmp.getStructField(ns_postpress, structName, ns_postpress, "Opt1").value;
					ppobj.opt2 = myXmp.getStructField(ns_postpress, structName, ns_postpress, "Opt2").value;
					ret_obj.postpress.push(ppobj);
				}
			}
		}
		else {
			ret_obj.type = "other";

		}
		var ret_str = JSON.stringify(ret_obj);
		return ret_str;
	},


	getLayerForName: function (lname) {
		var curdoc = app.activeDocument;
		var ret_layer = null;
		try {
			ret_layer = curdoc.layers.getByName(lname);
			if (ret_layer == undefined || ret_layer == "undefined") {
				ret_layer = null;
			}
		}
		catch (e) {
			ret_layer = null;
		}
		return ret_layer;
	},


	modifyDocument: function () {
		var curdoc = app.activeDocument;
		var layer_names = ["오시", "미싱", "타공", "귀도리", "접지", "접지안내"];
		var i, icnt = layer_names.length;
		for (i = 0; i < icnt; i++) {
			var lname = layer_names[i];
			var layer = this.getLayerForName(lname);
			while (layer != null) {
				//alert("layer removed 2 : " + layer.name);
				layer.locked = false;
				layer.remove();
				layer = this.getLayerForName(lname);
			}
		}

		var xmpstr = curdoc.XMPString;
		var myXmp = new XMPMeta(xmpstr);
		XMPMeta.registerNamespace(ns_postpress, "postpress");
		var j, jcnt = ppname_list.length;
		for (j = 0; j < jcnt; j++) {
			var structName = ppname_list[j];
			var code = myXmp.getStructField(ns_postpress, structName, ns_postpress, "Code");
			//alert("pp code = " + code);
			if (code != "") {
				myXmp.deleteStructField(ns_postpress, structName, ns_postpress, "Code");
				myXmp.deleteStructField(ns_postpress, structName, ns_postpress, "Opt1");
				myXmp.deleteStructField(ns_postpress, structName, ns_postpress, "Opt2");
				myXmp.deleteStructField(ns_postpress, structName, ns_postpress, "Color");
			}
		}

		this.writeInfosToDoc(curdoc, myXmp);
	},

	readPostPress: function () {
		var ret_obj = new Object;


	},
	//////////////////////////////////////////////////////////	
	//////////////////////////////////////////////////////////	
	//
	// 		Order 
	//
	//////////////////////////////////////////////////////////	
	//////////////////////////////////////////////////////////	

	initOrder: function () {

		order_info = new Object;
		order_doc_info = new Object;
		//		alert("order_info is allocated...");
		return "OK";
	},

	setOrderDocInfo: function (key, value) {
		order_doc_info[key] = value;
	},

	checkDocToOrder: function () {

		var cur_doc = null;
		try {
			cur_doc = app.activeDocument;
		}
		catch (e) {
			//alert("exception = "+e);
		}
		if (!cur_doc) {
			return "nodoc";
		}
		var doc_path = cur_doc.fullName;
		var doc_file = new File(doc_path);
		if (doc_file.exists == false || cur_doc.saved == false) {
			return "notsaved";
		}

		XMPMeta.registerNamespace(ns_smartform, "smartform");
		var xmpstr = cur_doc.XMPString;
		var myXmp = new XMPMeta(xmpstr);
		var ProductName = myXmp.getProperty(ns_smartform, "smartform:ProductName");
		if (ProductName == null || ProductName == undefined) {
			return "nosmartform";
		}

		return "OK";
	},

	setOrderInfo: function (key, value) {
		order_info[key] = value;
	},

	getCategoryAndProduct: function () {
		var cur_doc = app.activeDocument;
		if (!cur_doc) {
			return null;
		}
		var ns_uri = XMPMeta.getNamespaceURI("smartform");
		if (ns_uri == null)
			return null;

		XMPMeta.registerNamespace(ns_order, "order");
		var xmpstr = cur_doc.XMPString;
		var myXmp = new XMPMeta(xmpstr);
		var SiteName = myXmp.getProperty(ns_order, "order:SiteName");
		if (SiteName) {
			var CategoryName = myXmp.getProperty(ns_order, "order:CategoryName");
			var Count = myXmp.getProperty(ns_order, "order:Count");
			var OrderName = myXmp.getProperty(ns_order, "order:OrderName");
			var PersonName = myXmp.getProperty(ns_order, "order:PersonName");
			var ProductName = myXmp.getProperty(ns_order, "order:ProductName");
			var ret_str = CategoryName + "," + Count + "," + OrderName + "," + PersonName + "," + ProductName + "," + SiteName;
			return ret_str;
		}
		else {
			var category1 = myXmp.getProperty(ns_smartform, "smartform:MainCategory");
			var category2 = myXmp.getProperty(ns_smartform, "smartform:SubCategory");
			var category3 = myXmp.getProperty(ns_smartform, "smartform:ThirdCategory");
			var product_name = myXmp.getProperty(ns_smartform, "smartform:ProductName");
			if (!category1 || !category2 || !category3 || !product_name)
				return null;
			var ret_str = category1 + "," + category2 + "," + category3 + "," + product_name;
			return ret_str;
		}
	},

	order: function (tar_url, is_test) {
		var cur_doc = app.activeDocument;
		if (order_info == null) {
			alert("order_info is null...");
		}
		XMPMeta.registerNamespace(ns_order, "order");
		var myXmp = new XMPMeta(cur_doc.XMPString);
		for (var akey in order_info) {
			var propName = "order:" + akey;
			var propValue = order_info[akey];
			myXmp.setProperty(ns_order, propName, propValue);
		}

		XMPMeta.registerNamespace(ns_smartform, "smartform");
		for (var akey in order_doc_info) {
			var propName = "smartform:" + akey;
			var propValue = order_doc_info[akey];
			myXmp.setProperty(ns_smartform, propName, propValue);
		}

		cur_doc.XMPString = myXmp.serialize();

		var temp_folder = Folder.temp;
		var opts = new PDFSaveOptions();
		var org_doc_file = cur_doc.fullName;
		var pdf_file = new File(Folder.temp + "/printbe_order.pdf");
		cur_doc.saveAs(pdf_file, opts); //, SaveOptions.SAVECHANGES);
		cur_doc.saveAs(org_doc_file);

		var res_file_path = temp_folder + "/order_res.txt";
		var res_file = new File(res_file_path);

		var info_txt = "";
		info_txt += pdf_file.fsName + '\r';
		info_txt += tar_url + '\r';
		info_txt += is_test + '\r';
		info_txt += res_file.fsName + '\r';

		var info_file_path = temp_folder + "/smartform_info.txt";
		var info_file = new File(info_file_path);
		info_file.encoding = "UTF-8";
		info_file.open("w");
		info_file.write(info_txt);
		info_file.close();

		var cep_root = myParentFolder.parent;
		var tool_path = cep_root.fsName + '/tools/filesender.exe';

		// Using .vbs process
		var bat_str = '\
			Set Command = CreateObject("WScript.Shell")\
			Command.Run Chr(34)&"'+ tool_path + '"&Chr(34)&" "&Chr(34)&"' + info_file.fsName + '"&Chr(34)&" "&Chr(34)&"' + "order" + '"&Chr(34), 0\
			';
		var bat_file = new File(temp_folder + "/smartform_sender.vbs");
		bat_file.open("w");
		bat_file.write(bat_str);
		bat_file.close();

		var res_json_file = new File(res_file_path);
		res_json_file.remove();

		bat_file.execute();
		res_json_file = new File(res_file_path);
		while (res_json_file.exists == false) {
			res_json_file = new File(res_file_path);
		}
		res_json_file.open("rt");
		var json_str = res_json_file.read();
		res_json_file.close();

		return json_str;
	},

	normalOrder: function (tar_url) {
		var json_str = this.order(tar_url, "No");
		return json_str;
	},

	testOrder: function (tar_url) {
		var json_str = this.order(tar_url, "Yes");
		return json_str;
	},


	//////////////////////////////////////////////////////////	
	//////////////////////////////////////////////////////////	
	//
	// 		Proof 
	//
	//////////////////////////////////////////////////////////	
	//////////////////////////////////////////////////////////	
	proofHistory: new Array,

	getProofList: function () {
		var ret_arr = new Array;
		var cur_doc = app.activeDocument;
		var myXmp = new XMPMeta(cur_doc.XMPString);
		XMPMeta.registerNamespace(ns_proof, "proof");

		var i, icnt = myXmp.countArrayItems(ns_proof, "proof");
		for (i = 0; i < icnt; i++) {
			var proof_obj = new Object;
			var proof_key = myXmp.getArrayItem(ns_proof, "proof", i + 1);
			proof_obj["date"] = myXmp.getStructField(ns_proof, proof_key, ns_proof, "date").value;
			proof_obj["title"] = myXmp.getStructField(ns_proof, proof_key, ns_proof, "title").value;
			proof_obj["desc"] = myXmp.getStructField(ns_proof, proof_key, ns_proof, "desc").value;
			proof_obj["url"] = myXmp.getStructField(ns_proof, proof_key, ns_proof, "url").value;
			ret_arr.push(proof_obj);
		}


		var ret_str = JSON.stringify(ret_arr);
		//alert("res = "+ret_str);
		return ret_str;
	},

	addProof: function (key, date, title, desc, url) {
		var cur_doc = app.activeDocument;
		var myXmp = new XMPMeta(cur_doc.XMPString);
		XMPMeta.registerNamespace(ns_proof, "proof");

		myXmp.appendArrayItem(ns_proof, "proof", key, 0, XMPConst.PROP_IS_ARRAY);
		myXmp.setStructField(ns_proof, key, ns_proof, "date", date);
		myXmp.setStructField(ns_proof, key, ns_proof, "title", title);
		myXmp.setStructField(ns_proof, key, ns_proof, "desc", desc);
		myXmp.setStructField(ns_proof, key, ns_proof, "url", url);
		//alert("addProof : "+key+"//"+date+"//"+title+"//"+desc+"//"+url+"//");
		cur_doc.XMPString = myXmp.serialize();
	},

	proof: function () {
		var cur_doc = app.activeDocument;

		var temp_folder = Folder.temp;
		var opts = new PDFSaveOptions();
		var org_doc_file = cur_doc.fullName;
		var pdf_file = new File(Folder.temp + "/printbe_proof.pdf");
		cur_doc.saveAs(pdf_file, opts); //, SaveOptions.SAVECHANGES);
		cur_doc.saveAs(org_doc_file);
		var cep_root = myParentFolder.parent;

		var tool_path = cep_root.fsName + '/tools/sendproof.exe';


		var bat_str = '\
			Set Command = CreateObject("WScript.Shell")\
			Command.Run Chr(34)&"'+ tool_path + '"&Chr(34)&" "&Chr(34)&"' + pdf_file.fsName + '"&Chr(34), 0\
			';
		var bat_file = new File(Folder.temp + "/printbe_proof.vbs");
		bat_file.open("w");
		bat_file.write(bat_str);
		bat_file.close();

		var res_json_file = new File(pdf_file + ".json");
		res_json_file.remove();

		bat_file.execute();
		res_json_file = new File(pdf_file + ".json");
		while (res_json_file.exists == false) {
			res_json_file = new File(pdf_file + ".json");
		}
		res_json_file.open("r");
		var json_str = res_json_file.read();
		res_json_file.close();
		//alert("res = "+json_str);
		return json_str;

	},

	//////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////
	//
	// 		Template 
	//
	//////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////
	getFileSize: function (afile) {
		afile.open("r");
		afile.seek(0, 2);
		var f_size = afile.tell();
		return f_size;
	},

	getDocInfos: function () {
		var ret = this.checkDocToOrder();
		if (ret != "OK") {
			return ret;
		}
		var cur_doc = app.activeDocument;
		var doc_path = cur_doc.fullName;
		var doc_file = new File(doc_path);
		var file_size = this.getFileSize(doc_file);

		var res_json = new Object;
		res_json["Version"] = app.name;
		res_json["FileSize"] = file_size;
		res_json["Width"] = cur_doc.width;
		res_json["Height"] = cur_doc.height;
		var ret_json_str = JSON.stringify(res_json);
		return ret_json_str;
	},

	sendTemplate: function (json_str) {
		var temp_folder = Folder.temp;
		var res_file_path = temp_folder + "/smartform_result.json";
		var res_file = new File(res_file_path);

		var cur_doc = app.activeDocument;
		var cur_doc_file_path = cur_doc.fullName;
		var cur_doc_file = new File(cur_doc_file_path);

		var json_obj = JSON.parse(json_str);
		var thumb_path = json_obj["Thumbnail"];
		var preview_path = json_obj["Preview"];
		delete json_obj["Thumbnail"];
		delete json_obj["Preview"];
		json_str = JSON.stringify(json_obj);

		// make a thumbnail (jpg)
		if (thumb_path.length == 0) {
			thumb_path = temp_folder + "/smartform_thumb.jpg";
			var exportOptions = new ExportOptionsJPEG();
			exportOptions.antiAliasing = true;
			exportOptions.qualitySetting = 70;
			exportOptions.verticalScale = 25;
			exportOptions.horizontalScale = 25;
			var type = ExportType.JPEG;
			var thumb_file = new File(thumb_path);
			app.activeDocument.exportFile(thumb_file, type, exportOptions);
			thumb_path = thumb_file.fsName;
		}

		// make a preview (jpg)
		if (preview_path.length == 0) {
			preview_path = temp_folder + "/smartform_preview.jpg";
			var exportOptions = new ExportOptionsJPEG();
			exportOptions.antiAliasing = true;
			exportOptions.qualitySetting = 70;
			var type = ExportType.JPEG;
			var preview_file = new File(preview_path);
			app.activeDocument.exportFile(preview_file, type, exportOptions);
			preview_path = preview_file.fsName;
		}

		var info_txt = "";
		info_txt += json_obj["Code"] + '\r';
		info_txt += json_obj["HostKey"] + '\r';
		info_txt += json_str + '\r';
		info_txt += thumb_path + '\r';
		info_txt += preview_path + '\r';
		info_txt += cur_doc_file.fsName + '\r';
		info_txt += res_file.fsName + '\r';

		var info_file_path = temp_folder + "/smartform_info.txt";
		var info_file = new File(info_file_path);
		info_file.encoding = "UTF-8";
		info_file.open("w");
		info_file.write(info_txt);
		info_file.close();

		var cep_root = myParentFolder.parent;
		var tool_path = cep_root.fsName + '/tools/filesender.exe';

		// Using .vbs process
		var bat_str = '\
			Set Command = CreateObject("WScript.Shell")\
			Command.Run Chr(34)&"'+ tool_path + '"&Chr(34)&" "&Chr(34)&"' + info_file.fsName + '"&Chr(34)&" "&Chr(34)&"' + "template" + '"&Chr(34), 0\
			';
		var bat_file = new File(temp_folder + "/smartform_sender.vbs");
		bat_file.open("w");
		bat_file.write(bat_str);
		bat_file.close();

		var res_json_file = new File(res_file_path);
		res_json_file.remove();

		bat_file.execute();
		res_json_file = new File(res_file_path);
		while (res_json_file.exists == false) {
			res_json_file = new File(res_file_path);
		}
		res_json_file.open("rt");
		var json_str = res_json_file.read();
		res_json_file.close();

		return json_str;
	},

	// Test 
	//
	//////////////////////////////////////////////////////////	
	//////////////////////////////////////////////////////////	
	savePDF: function (path) {
		//doc.saveAs
	},

	run: function () {  //  for test

		/**********  Replace below sample code with your own JSX code  **********/
		var doc = app.documents.add();
		alert(doc);
		return "Illustrator";
		/************************************************************************/
	}
};


